package de.fraunhofer.iem.app

import org.springframework.boot.autoconfigure.SpringBootApplication
import org.springframework.boot.context.properties.ConfigurationPropertiesScan
import org.springframework.boot.runApplication
import org.springframework.data.jpa.repository.config.EnableJpaRepositories
import org.springframework.transaction.annotation.EnableTransactionManagement

@SpringBootApplication
@ConfigurationPropertiesScan("de.fraunhofer.iem.app.configuration")
@EnableTransactionManagement
@EnableJpaRepositories
class DataProviderApplication

fun main(args: Array<String>) {
    runApplication<DataProviderApplication>(*args)
}
