package de.fraunhofer.iem.app.repository.dto

import de.fraunhofer.iem.app.toolRun.entity.ToolRunEntity
import de.fraunhofer.iem.kpiCalculator.model.kpi.RawValueKpi
import java.sql.Timestamp
import java.time.Instant

fun RawValueKpi.toDbObject(toolRun: ToolRunEntity): de.fraunhofer.iem.app.kpi.entity.KPIEntity {
    return de.fraunhofer.iem.app.kpi.entity.KPIEntity(
        kind = this.kind,
        score = this.score,
        createdAt = Timestamp.from(Instant.now()),
        toolRunEntity = toolRun
    )
}
