package de.fraunhofer.iem.app.tool.repository

import de.fraunhofer.iem.app.tool.entity.ToolEntity
import org.springframework.data.jpa.repository.JpaRepository
import org.springframework.transaction.annotation.Propagation
import org.springframework.transaction.annotation.Transactional
import java.util.*

@Transactional(propagation = Propagation.MANDATORY)
interface ToolRepository : JpaRepository<ToolEntity, UUID> {

    fun findByNameIgnoreCase(
        name: String?
    ): ToolEntity?
}
