package de.fraunhofer.iem.app.toolRun.repository

import de.fraunhofer.iem.app.toolRun.entity.ToolRunEntity
import org.springframework.data.jpa.repository.JpaRepository
import org.springframework.transaction.annotation.Propagation
import org.springframework.transaction.annotation.Transactional
import java.util.*

@Transactional(propagation = Propagation.MANDATORY)
interface ToolRunRepository : JpaRepository<ToolRunEntity, UUID> {
    fun findFirstByRepository_ProjectIdOrderByCreatedAtDesc(projectId: Long): ToolRunEntity?
}
